Skip to main content
PATCH
/
v1
/
api-keys
/
{apiKeyId}
/
revoke
Revoke API key
curl --request PATCH \
  --url https://api.meetecho.ai/api/v1/api-keys/{apiKeyId}/revoke \
  --header 'x-api-key: <api-key>'
{
  "id": "7a4d3ce4-787f-73ec-7a87-4f45a4fd93c4",
  "name": "production",
  "key_prefix": "echo_6f437a610fb",
  "status": "revoked",
  "created_at": "2026-03-18T15:03:15.483Z",
  "updated_at": "2026-03-18T18:00:00.000Z"
}

Authorizations

x-api-key
string
header
required

Echo API key — format: echo_<64 hex chars>. Returned once on signup.

Path Parameters

apiKeyId
string<uuid>
required

Response

Key revoked

id
string<uuid>
Example:

"7a4d3ce4-787f-73ec-7a87-4f45a4fd93c4"

name
string
Example:

"production"

key_prefix
string
Example:

"echo_6f437a610fb"

status
enum<string>
Available options:
active,
revoked
Example:

"active"

created_at
string<date-time>
Example:

"2026-03-18T15:03:15.483Z"

updated_at
string<date-time>
Example:

"2026-03-18T15:03:15.483Z"